com.ibm.openpages.api.workflow

## Interface IWFProcessContext

- All Known Subinterfaces:
    IWFProcess

      public interface IWFProcessContext

  Interface that represents the context of process instance. This interface is inherited by `IWFProcess` to provide access to the process instance information, also is referred by `IWFActivityInstance.getProcessContext()`

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(java.lang.String name)` Returns the process instance attribute by a name string.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Returns the name/value pairs of process instance attributes.
    `java.lang.String` | `getCreatedBy()` Returns the user name who created the process instance
    `java.util.Date` | `getCreatedDate()` Returns the creation date
    `WFProcessCriticality` | `getCriticality()` Returns the ciriticality of the process instance.
    `java.util.Date` | `getDueDate()` Returns the due date of the process instance.
    `Id` | `getId()` Returns the identifier of the process instance.
    `IWFTransition` | `getLastTransition()` Returns the last transition
    `java.lang.String` | `getLastTransitionBy()` Returns the user name who processed the last transition
    `IWFTransitionComment` | `getLastTransitionComment()` Returns the comment provided by the user on the last transition.
    `java.util.Date` | `getLastTransitionDate()` Returns the last transition date
    `java.lang.String` | `getModifiedBy()` Returns the user name who last modified the process instance
    `java.util.Date` | `getModifiedDate()` Returns the last modified date
    `java.util.List<java.lang.String>` | `getOwners()` Returns the process oversight user/group names for the process instance.
    `Id` | `getProcessVersionId()` Returns the identifier of the process definition version.
    `IResource` | `getResourceContext()` Returns the context of resource to retrieve system fields without susequent fetch operation.
    `Id` | `getResourceId()` Returns the identifier of the resource where the process instance is associated to.
    `WFProcessState` | `getState()` Returns the state of the process instance.
    `java.lang.String` | `getStatusMessage()` Returns the status message of the process instance.
    `java.lang.String` | `getStatusMessageLabel()` Returns the localized status message for the user session.
    `java.util.List<ILabel>` | `getStatusMessageLabels()` Returns the process status message labels for all locales
    `WFProcessType` | `getType()` Returns the type of the process instance.
    `void` | `setOwners(java.util.List<java.lang.String> owners)` Sets the list of oversight user/group name via custom transition actions.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the identifier of the process instance.
      Returns:

    - #### getProcessVersionId

          Id getProcessVersionId()

      Returns the identifier of the process definition version. The process instance stays on the same version throughout the lifecycle even when the new version of process definition is published.
      Returns:

    - #### getResourceId

          Id getResourceId()

      Returns the identifier of the resource where the process instance is associated to. The process instance stays on the same resource through the lifecycle.
      Returns:

    - #### getResourceContext

          IResource getResourceContext()

      Returns the context of resource to retrieve system fields without susequent fetch operation.
      Returns:

    - #### getState

          WFProcessState getState()

      Returns the state of the process instance. Refer `IWFProcess` for more detail.
      Returns:

    - #### getType

          WFProcessType getType()

      Returns the type of the process instance.
      Returns:

    - #### getCriticality

          WFProcessCriticality getCriticality()

      Returns the ciriticality of the process instance.
      Returns:

    - #### getDueDate

          java.util.Date getDueDate()

      Returns the due date of the process instance.
      Returns:

    - #### getStatusMessage

          java.lang.String getStatusMessage()

      Returns the status message of the process instance.
      Returns:

    - #### getStatusMessageLabel

          java.lang.String getStatusMessageLabel()

      Returns the localized status message for the user session.
      Returns:

    - #### getStatusMessageLabels

          java.util.List<ILabel> getStatusMessageLabels()

      Returns the process status message labels for all locales
      Returns:
        the list of `ILabel` the process status message label

    - #### getOwners

          java.util.List<java.lang.String> getOwners()

      Returns the process oversight user/group names for the process instance.
      Returns:

    - #### setOwners

          void setOwners(java.util.List<java.lang.String> owners)

      Sets the list of oversight user/group name via custom transition actions.
      Parameters:
        `owners` -

    - #### getAttributes

          java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Returns the name/value pairs of process instance attributes. It is copied from `IWFProcessDefinition.getAttributes()` when the process is started, but can be referenced/altered by transition actions.
      Returns:

    - #### getAttribute

          java.lang.Object getAttribute(java.lang.String name)

      Returns the process instance attribute by a name string.
      Parameters:
        `name` -
      Returns:

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date
      Returns:

    - #### getModifiedBy

          java.lang.String getModifiedBy()

      Returns the user name who last modified the process instance
      Returns:

    - #### getCreatedDate

          java.util.Date getCreatedDate()

      Returns the creation date
      Returns:

    - #### getCreatedBy

          java.lang.String getCreatedBy()

      Returns the user name who created the process instance
      Returns:

    - #### getLastTransitionComment

          IWFTransitionComment getLastTransitionComment()

      Returns the comment provided by the user on the last transition.
      Returns:
      Since:
        8.1

    - #### getLastTransition

          IWFTransition getLastTransition()

      Returns the last transition
      Returns:
      Since:
        8.1

    - #### getLastTransitionDate

          java.util.Date getLastTransitionDate()

      Returns the last transition date
      Returns:
      Since:
        8.1

    - #### getLastTransitionBy

          java.lang.String getLastTransitionBy()

      Returns the user name who processed the last transition
      Returns:
      Since:
        8.1

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.